<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup Label="Globals">
    <SccProjectName></SccProjectName>
    <SccProvider></SccProvider>
    <SccAuxPath></SccAuxPath>
    <SccLocalPath></SccLocalPath>
  </PropertyGroup>

  <PropertyGroup>
    <TargetFramework>net10.0</TargetFramework>
    <Authors>S M Russel</Authors>
    <Company>Computer Ease Limited</Company>
  </PropertyGroup>

  <ItemGroup>
    <Compile Remove="Properties\**" />
    <Compile Remove="Services\B2B\**" />
    <Compile Remove="Services\Claim\**" />
    <Compile Remove="Services\DailyTask\**" />
    <Compile Remove="Services\DFFIncentive\**" />
    <Compile Remove="Services\DMSDayEnd\**" />
    <Compile Remove="Services\DMS\**" />
    <Compile Remove="Services\Employees\**" />
    <Compile Remove="Services\Global\**" />
    <Compile Remove="Services\Markets\**" />
    <Compile Remove="Services\MasRapida\**" />
    <Compile Remove="Services\Misc\**" />
    <Compile Remove="Services\obj\**" />
    <Compile Remove="Services\Outlets\**" />
    <Compile Remove="Services\Payments\**" />
    <Compile Remove="Services\Setups\**" />
    <Compile Remove="Services\Properties\**" />
    <Compile Remove="Services\ROI\**" />
    <Compile Remove="Services\Sales\**" />
    <Compile Remove="Services\Targets\**" />
    <Compile Remove="Services\UniSetup\**" />
    <Compile Remove="Services\Workflow\**" />
    <EmbeddedResource Remove="Properties\**" />
    <EmbeddedResource Remove="Services\B2B\**" />
    <EmbeddedResource Remove="Services\Claim\**" />
    <EmbeddedResource Remove="Services\DailyTask\**" />
    <EmbeddedResource Remove="Services\DFFIncentive\**" />
    <EmbeddedResource Remove="Services\DMSDayEnd\**" />
    <EmbeddedResource Remove="Services\DMS\**" />
    <EmbeddedResource Remove="Services\Employees\**" />
    <EmbeddedResource Remove="Services\Global\**" />
    <EmbeddedResource Remove="Services\Markets\**" />
    <EmbeddedResource Remove="Services\MasRapida\**" />
    <EmbeddedResource Remove="Services\Misc\**" />
    <EmbeddedResource Remove="Services\obj\**" />
    <EmbeddedResource Remove="Services\Outlets\**" />
    <EmbeddedResource Remove="Services\Payments\**" />
    <EmbeddedResource Remove="Services\Setups\**" />
    <EmbeddedResource Remove="Services\Properties\**" />
    <EmbeddedResource Remove="Services\ROI\**" />
    <EmbeddedResource Remove="Services\Sales\**" />
    <EmbeddedResource Remove="Services\Targets\**" />
    <EmbeddedResource Remove="Services\UniSetup\**" />
    <EmbeddedResource Remove="Services\Workflow\**" />
    <None Remove="Properties\**" />
    <None Remove="Services\B2B\**" />
    <None Remove="Services\Claim\**" />
    <None Remove="Services\DailyTask\**" />
    <None Remove="Services\DFFIncentive\**" />
    <None Remove="Services\DMSDayEnd\**" />
    <None Remove="Services\DMS\**" />
    <None Remove="Services\Employees\**" />
    <None Remove="Services\Global\**" />
    <None Remove="Services\Markets\**" />
    <None Remove="Services\MasRapida\**" />
    <None Remove="Services\Misc\**" />
    <None Remove="Services\obj\**" />
    <None Remove="Services\Outlets\**" />
    <None Remove="Services\Payments\**" />
    <None Remove="Services\Setups\**" />
    <None Remove="Services\Properties\**" />
    <None Remove="Services\ROI\**" />
    <None Remove="Services\Sales\**" />
    <None Remove="Services\Targets\**" />
    <None Remove="Services\UniSetup\**" />
    <None Remove="Services\Workflow\**" />
  </ItemGroup>

  <ItemGroup>
    <Compile Remove="Services\Systems\AuditService.cs" />
    <Compile Remove="Services\Systems\B2BThisSystemService.cs" />
    <Compile Remove="Services\Systems\CacheInfoService.cs" />
    <Compile Remove="Services\Systems\FFAuthenticationService.cs" />
    <Compile Remove="Services\Systems\FFAuthorizationService.cs" />
  </ItemGroup>

  <ItemGroup>
    <Compile Include="Services\Setups\AuthModulesService.cs" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Ease.NetCore" Version="2.1.4" />
    <PackageReference Include="Hangfire.Core" Version="1.8.24" />
    <PackageReference Include="Microsoft.Data.SqlClient" Version="7.0.1" />
    <PackageReference Include="Microsoft.Extensions.Options" Version="10.0.8" />
    <PackageReference Include="System.Data.SqlClient" Version="4.9.1" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\OnlineSalesAutoCrop.CoreAPI.Models\OnlineSalesAutoCrop.CoreAPI.Models.csproj" />
  </ItemGroup>

  <ItemGroup>
    <Folder Include="Contracts\Activities\" />
    <Folder Include="Services\Activities\" />
  </ItemGroup>

</Project>
